Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/12/2019 in all areas

  1. Greetings all - Recently I acquired a copy of AEC Architectural but what I'd really like to find is AEC Mechanical, version 1, 2, or 3. If you have or know of one for sale, please let me know. -Robert
    1 point
  2. FYI - you can also search for "ArrowheadType Property (ActiveX)" in AutoCAD help. It will give you all the enum variables, which you can use rather than the integers.
    1 point
  3. Try this, minimally tested. (defun c:LINELENGTH ( / ss cnt ent len ang str m_pt t_pt n_ent) (setq ss (ssget '((0 . "LINE")))) (repeat (setq cnt (sslength ss)) (setq ent (ssname ss (setq cnt (1- cnt))) len (getpropertyvalue ent "length") ang (getpropertyvalue ent "angle") str (strcat (rtos len 2 0) "\'") ) (if (< (/ pi 2) ang (* (/ pi 2) 3)) (setq ang (+ ang pi))) (setq m_pt (mapcar '(lambda (x y) (/ (+ x y) 2.0)) (vlax-curve-getstartpoint ent) (vlax-curve-getendpoint ent)) t_pt (polar m_pt (+ ang (/ pi 2)) 1.0) ) (setq n_ent (entmakex (list (cons 0 "MTEXT") (cons 100 "AcDbEntity") (cons 8 "NOTES") (cons 100 "AcDbMText") (cons 10 t_pt) (cons 40 4.0) (cons 41 len) (cons 71 8) (cons 72 5) (cons 1 str) (cons 7 "PROP") ;(cons 11 t_pt) (cons 50 ang) (cons 73 1) (cons 44 1.0) ) ) ) ) (princ) )
    1 point
  4. Thank you hanhpjuc, Since joining CadTutor website and seeking help or guidance, to date, I have created 14 on my own and 42 with guidance from this website. It is sometimes amazes me how some people on this platform go out of their way to spend so much time and effort on an idea someone posts!
    1 point
  5. If the curve is an AutoCAD spline then it's a NURBS (non-uniform rational B-spline). If you have not changed the weighing factors of the spline's CVs (they all equal 1) then it can be represented as a B-spline. The attached Excel/VBA macro-enable file includes a B-spline function that I programmed to help me get a better understanding of splines. It will duplicate the curve AutoCAD creates given the same set of CVs. You could use its BSpline function to generate as many points along the spline as you wish. To get 10000 points use an increment of ((number_of_CVs) - degree)/ 10000 for u. The function has three arguments: BSpline(u, degree, CVs) u = the independent parametric variable of the spline degree is of course the degree of the spline. The default value in AutoCAD is 3 CVs is an array of the coordinates of the control vertices (x, or y, or z) How many CVs are in your curve? Lee B-Spline-Calculator-degn.xlsm
    1 point
  6. Do you need like this? https://youtu.be/GsYc75VIATs
    1 point
  7. Try this quick one - (defun c:rml ( / a i o s ) (if (and (setq s (ssget "_:L" '((0 . "MULTILEADER")))) (setq a (getangle "\nSpecify rotation angle: ")) ) (repeat (setq i (sslength s)) (setq i (1- i) o (vlax-ename->vla-object (ssname s i)) ) (vla-rotate o (vlax-3D-point (mapcar '+ (vlax-invoke o 'getleaderlinevertices 0) '(0 0 0))) a) ) ) (princ) ) (vl-load-com) (princ)
    1 point
×
×
  • Create New...